diff --git a/sound/soc/soc-pcm.c b/sound/soc/soc-pcm.c
index a827cc3c158a..d90b60814579 100644
--- a/sound/soc/soc-pcm.c
+++ b/sound/soc/soc-pcm.c
@@ -1192,28 +1192,42 @@ static int dpcm_be_connect(struct snd_soc_pcm_runtime *fe,
 	struct snd_pcm_substream *be_substream;
 	struct snd_soc_dpcm *dpcm;
 
+	pr_info("%s: start\n", __func__);
+
 	snd_soc_dpcm_mutex_assert_held(fe);
 
+	pr_info("%s: 1\n", __func__);
+
 	/* only add new dpcms */
 	for_each_dpcm_be(fe, stream, dpcm) {
 		if (dpcm->be == be && dpcm->fe == fe)
 			return 0;
 	}
 
+	pr_info("%s: 3\n", __func__);
+
 	fe_substream = snd_soc_dpcm_get_substream(fe, stream);
 	be_substream = snd_soc_dpcm_get_substream(be, stream);
 
+	pr_info("%s: 3.1\n", __func__);
+	pr_info("%s: 3.1 fe_substream_addr=%d\n", __func__,fe_substream);
+	pr_info("%s: 3.1 be_substream_addr=%d\n", __func__,be_substream);
 	if (!fe_substream->pcm->nonatomic && be_substream->pcm->nonatomic) {
 		dev_err(be->dev, "%s: FE is atomic but BE is nonatomic, invalid configuration\n",
 			__func__);
+		pr_info("%s: 3.3; Here \"return -EINVAL\" must be!!\n", __func__);
 		return -EINVAL;
 	}
+	pr_info("%s: 3.2\n", __func__);
 	if (fe_substream->pcm->nonatomic && !be_substream->pcm->nonatomic) {
 		dev_warn(be->dev, "%s: FE is nonatomic but BE is not, forcing BE as nonatomic\n",
 			 __func__);
-		be_substream->pcm->nonatomic = 1;
+		pr_info("%s: 3.5; Here \"be_substream->pcm->nonatomic = 1;\" must be!!\n", __func__);
+//		be_substream->pcm->nonatomic = 1;
 	}
 
+	pr_info("%s: 4\n", __func__);
+
 	dpcm = kzalloc(sizeof(struct snd_soc_dpcm), GFP_KERNEL);
 	if (!dpcm)
 		return -ENOMEM;
@@ -1222,17 +1236,35 @@ static int dpcm_be_connect(struct snd_soc_pcm_runtime *fe,
 	dpcm->fe = fe;
 	be->dpcm[stream].runtime = fe->dpcm[stream].runtime;
 	dpcm->state = SND_SOC_DPCM_LINK_STATE_NEW;
+
+	pr_info("%s: 5\n", __func__);
+
 	snd_soc_dpcm_stream_lock_irq(fe, stream);
+
+	pr_info("%s: 6\n", __func__);
+
 	list_add(&dpcm->list_be, &fe->dpcm[stream].be_clients);
+
+	pr_info("%s: 7\n", __func__);
+
 	list_add(&dpcm->list_fe, &be->dpcm[stream].fe_clients);
+
+	pr_info("%s: 8\n", __func__);
+
 	snd_soc_dpcm_stream_unlock_irq(fe, stream);
 
+	pr_info("%s: 9\n", __func__);
+
 	dev_dbg(fe->dev, "connected new DPCM %s path %s %s %s\n",
 			stream ? "capture" : "playback",  fe->dai_link->name,
 			stream ? "<-" : "->", be->dai_link->name);
 
+	pr_info("%s: 10\n", __func__);
+
 	dpcm_create_debugfs_state(dpcm, stream);
 
+	pr_info("%s: end\n", __func__);
+
 	return 1;
 }
 
